=== debian/changelog ===
dynahost (0.0.20130901) stable; urgency=low

  * Refined the IP filtering of submitted addresses; added the private
    network ranges to the forbidden networks; added the possibility of
    manual configuration of additional networks.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 01 Sep 2013 20:16:59 -0300

dynahost (0.0.20110905) stable; urgency=low

  * Made changes in the scripts disable-nishosts, dynahostnis and
    dynahostdns in order allow for the situation in which the host has
    more than one network interface, connecting to different domains; the
    new configuration file /etc/dynahost/defaultdomain was introduced, to
    permit the choice of the domain to use.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 05 Sep 2011 17:19:43 -0300

dynahost (0.0.20110806) stable; urgency=low

  * Made a few further changes in the dynahostnis and dynahostdns scripts,
    in order to render them a little more robust.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 06 Aug 2011 18:33:08 -0300

dynahost (0.0.20110729) stable; urgency=low

  * Fixed a bug in the dynahostnis and dynahostdns scripts, which caused
    these scripts to crash, due to a syntax error within a if condition,
    when the command "hostname -i" returned more than one IP number.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 29 Jul 2011 02:25:42 -0300

dynahost (0.0.20110225) stable; urgency=low

  * Updated the HTML pages and the CGI scripts in order to include
    explicitly the character set encoding to be used.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 25 Feb 2011 15:09:36 -0300

dynahost (0.0.20100513) stable; urgency=low

  * Included cron job to keep /var/lock/ clean of dynahost lock files.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 13 May 2010 19:42:29 -0300

dynahost (0.0.20091009) stable; urgency=low

  * Fixed a bug in dynahostnisd, introduced by the latest changes in the
    dynahostnis part of the strucure.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 09 Oct 2009 07:27:27 -0300

dynahost (0.0.20091007) stable; urgency=low

  * Changed the dynahostnis part of the structure so as to allow each user
    to have more than one remote host registered.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 07 Oct 2009 13:21:30 -0300

dynahost (0.0.20090824) stable; urgency=low

  * Fixed a bug in the dynahostnis script that, for server systems that
    are connected to the internet via a PPP interface, ended up listing
    all IP addresses as forbidden.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 24 Aug 2009 15:15:11 -0300

dynahost (0.0.20090811) stable; urgency=low

  * Fixed the auxiliary access scripts for residential use that are based
    on lynx, due to a change in the command-line syntax of that program.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 11 Aug 2009 15:31:38 -0300

dynahost (0.0.20090527) stable; urgency=low

  * Fixed the dynahostnis and dynahostdns programs in order to filter out
    the trailing "+" left in the remote address string, due to the use of
    the mouse for cut-and-paste in the CGI-script form; this character
    comes from the trailing blank that is sometimes inserted by the mouse
    action, when the address is not cut to its exact length.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 27 May 2009 17:47:16 -0300

dynahost (0.0.20081218) stable; urgency=low

  * Fixed the dynahostdns and update-dnszone scripts in order to handle
    the migration from bind to bind9.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 18 Dec 2008 04:49:32 -0200

dynahost (0.0.20080420) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 20 Apr 2008 14:33:55 -0300

Local variables:
mode: debian-changelog
End:
