## dynahost 1.0.20160516

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -*-makefile-*-
-# JLdL 01Sep13.
+# JLdL 16May16.
 #
 # This makefile closes the "dynahost" package, as an "all" arch
 # _ package; the main part of its structure is meant to install
@@ -19,6 +19,9 @@
 
 # Where the init files go.
 INIT = $(DESTDIR)/etc/init.d
+
+# Where the sudoers file goes.
+SDRS = $(DESTDIR)/etc/sudoers.d
 
 # Where the public CGI scripts go.
 CGI = $(DESTDIR)/usr/lib/cgi-bin
@@ -41,18 +44,22 @@
 conf/$(NAME)dns.conf \
 conf/$(NAME)nis.conf \
 conf/$(NAME)nisd.conf \
+conf/forbidnetsnis.conf \
 conf/mailrelaydns.conf \
-conf/mailrelaynis.conf \
-conf/forbidnetsnis.conf
+conf/mailrelaynis.conf
 
 # The cron-job files.
 CRONFILES = \
-cron/$(NAME)
+cron.d/$(NAME)
 
 # The init files.
 INITFILES = \
-init/$(NAME)nis \
-init/http-ssl-tunnel
+init.d/$(NAME)nis \
+init.d/http-ssl-tunnel
+
+# The sudoers file.
+SDRSFILES = \
+sudoers.d/$(NAME)
 
 # The public CGI scripts.
 CGIFILES = \
@@ -111,7 +118,7 @@
 MAN8FILES = \
 disable-nishosts.8.gz \
 disable-nismailrelays.8.gz \
-dynahostnisd.8.gz \
+$(NAME)nisd.8.gz \
 update-dnsmailrelay.8.gz \
 update-dnszone.8.gz \
 update-nishost.8.gz \
@@ -162,6 +169,9 @@
 	@echo Installing the init files in $(INIT)/
 	@mkdir -p $(INIT)/
 	@cp -pf $(INITFILES) $(INIT)/
+	@echo Installing the sudoers file in $(SDRS)/
+	@mkdir -p $(SDRS)/
+	@cp -pf $(SDRSFILES) $(SDRS)/
 	@echo Installing CGI scripts in $(CGI)/
 	@mkdir -p $(CGI)/
 	@cp -pf $(CGIFILES) $(CGI)/
