=== debian/changelog ===
dynahost (1.0.20160516) UNRELEASED; urgency=medium

  * Modified the sudoers configuration for Debian 8 (jessie); thus added
    the /etc/sudoers.d/dynahost configuration file.

 -- Jorge L. deLyra <delyra@fmail.if.usp.br>  Mon, 16 May 2016 11:21:13 -0300
