=== debian/control ===
Source: dynahost
Section: admin
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: dynahost
Architecture: all
Depends: tcsh, nis, sudo, httpd-cgi, arith-utils
Suggests: stunnel
Description: This software provides a system which allows the secure
 and controlled access to an institutional system from remote systems
 with dynamical IP addresses, such as residential systems. It relies
 on various other system structures, such as tcpd access control to
 network daemons, NIS groups and CGI forms.
 .
 This package contains the web pages, cgi scripts and programs needed
 to implement this access-control system. In order to actually enable
 the operation of this sustem, various other system configurations,
 besides the configuration of this package itself, will be needed.
